export interface Error {
  line: number;
  message: string;
  module?: string;
}

export const isError = (obj: any): obj is Error => {
  try {
    return 'line' in obj && 'message' in obj;
  } catch {
    return false;
  }
};
